- Home
- Manufacturer
- quest-tech
Coaxial Cables (RF)

quest-tech- Coaxial Cables (RF)
03
Coaxial Cables (RF) - 型号列表
80 parts in total| Mfr Part # | Quantity Available | Price | Cable Type | Cable Length | Connector Type | Connector - Cable | 2nd Connector Type | Type | Features | Function | Standards | Jacket Color | RoHS |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
RFC-2213 Quest Technology | 10 | 1: $54.40 | RG-58A/U | 3Ft. | UHFMale | Straight | UHFMale | Coaxial/RF | NonBooted | NonBooted | - | - | - |
RFC-2216 Quest Technology | 45 | 1: $97.58 | RG-58A/U | 10Ft. | UHFMale | Straight | UHFMale | Coaxial/RF | NonBooted | NonBooted | - | - | - |
RFC-1115 Quest Technology | 33 | 1: $73.44 | RG-58A/U | 7Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1534 Quest Technology | 12 | 1: $53.516 | RG-58C/U | 5Ft. | SMAPlug | Straight | SMAPlug | Coaxial/RF | NonBooted | NonBooted | - | - | - |
RFC-1111 Quest Technology | 23 | 1: $53.584 | RG-58A/U | 1Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1411 Quest Technology | 10 | 1: $68.748 | RG-58A/U | 1Ft. | TNCMale | Straight | TNCMale | Coaxial/RF | - | - | - | - | - |
RFC-2214 Quest Technology | 461 | 1: $127.194 | RG-58A/U | 5Ft. | UHFMale | Straight | UHFMale | Coaxial/RF | - | - | - | - | - |
RFC-1116 Quest Technology | 108 | 1: $83.368 | RG-58A/U | 10Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1535 Quest Technology | 10 | 1: $58.548 | RG-58C/U | 7Ft. | SMAPlug | Straight | SMAPlug | Coaxial/RF | NonBooted | NonBooted | - | - | - |
RFC-1112 Quest Technology | 10 | 1: $56.78 | RG-58A/U | 2Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1815 Quest Technology | 10 | 1: $89.012 | RG-58A/U | 7Ft. | NPlug | Straight | NPlug | Coaxial/RF | - | - | - | - | RoHS Compliant Part |
RFC-1416 Quest Technology | 10 | 1: $90.032 | RG-58A/U | 10Ft. | TNCMale | Straight | TNCMale | Coaxial/RF | - | - | - | - | - |
RFC-1322 Quest Technology | 876 | 1: $66.946 | RG-59B/U | 2Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1814 Quest Technology | 10 | 1: $83.232 | RG-58A/U | 5Ft. | NPlug | Straight | NPlug | Coaxial/RF | - | - | - | - | - |
RFC-1412 Quest Technology | 10 | 1: $71.876 | RG-58A/U | 2Ft. | TNCMale | Straight | TNCMale | Coaxial/RF | - | - | - | - | - |
RFC-1121 Quest Technology | 840 | 1: $69.8088 | RG-59B/U | 1Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1536 Quest Technology | 10 | 1: $98.056 | RG-58C/U | 10Ft. | SMAPlug | Straight | SMAPlug | Coaxial/RF | NonBooted | NonBooted | - | - | - |
RFC-1113 Quest Technology | 10 | 1: $60.384 | RG-58A/U | 3Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1323 Quest Technology | 924 | 1: $63.4984 | RG-59B/U | 3Ft. | BNCPlug | Straight | BNCPlug | Coaxial/RF | NonBooted | NonBooted | UL | Black | - |
RFC-1816 Quest Technology | 10 | 1: $117.912 | RG-58A/U | 10Ft. | NPlug | Straight | NPlug | Coaxial/RF | - | - | - | - | - |
Page 1 / 4
1

